Subject: bug#41145: 27.0.91; small issues with `display-fill-column-indicator' Customization group

From: Drew Adams <[email-masked]>
Date: Sun, 30 Aug 2020 08:09:21 -0700 (PDT)

FWIW, I've said it before, and reiterate now: I
think :group should always be explicitly present.

We've gone to the other extreme, of not only
encouraging its removal (apart from an initial
occurrence), but even removing it from patches
that contained it.

Why do I feel this way?  Repeating what I've
said before:

1. Nothing is really gained.  The amount of
   additional text eliminated is trivial - tiny.

2. A defcustom that's not near a previous one
   has its :group unclear (for humans).

3. It's problematic and error prone wrt moving
   defcustoms around.

It doesn't hurt, and it can help human readers
to just include explicit :group.

Whether that should just be conventional (i.e.,
recommended/encouraged) or actually enforced is
a different question.  I'm not sure it needs to
be enforced (e.g. warning or error msg), but I
don't think that would hurt, and it might help.

Just one opinion.  I repeat it here only because
I haven't mentioned it in a long time - probably
not since the crusade to remove "unnecessary"
:groups was initiated.

(And no, this is not very important.  Just sayin.)